Author Topic: UCS woes  (Read 2219 times)

0 Members and 1 Guest are viewing this topic.

Bethrine

  • Guest
UCS woes
« on: July 16, 2014, 05:18:11 PM »
Is there a system variable that controls whether the screen is always the XY plane?

Bethrine

  • Guest
Re: UCS woes
« Reply #1 on: July 16, 2014, 05:44:25 PM »
Have I been in Inventor too long?! I have to rotate my circle to get it on the correct "plane" or orient it properly.  :|

mjfarrell

  • Seagull
  • Posts: 14444
  • Every Student their own Lesson
Re: UCS woes
« Reply #2 on: July 16, 2014, 06:00:27 PM »
PLAN

UCS

World
Be your Best


Michael Farrell
http://primeservicesglobal.com/

Bethrine

  • Guest
Re: UCS woes
« Reply #3 on: July 16, 2014, 06:28:00 PM »
Heh, I had this problem before Maternity leave too, just couldn't remember how to fix it.  :whistle:

Thank you!!!

Ugh.

Nope. I want the circle in red rotated 90 degrees. I have to fill in the "hole".
« Last Edit: July 16, 2014, 06:36:23 PM by Bethrine »

JONTHEPOPE

  • Guest
Re: UCS woes
« Reply #4 on: July 16, 2014, 10:59:08 PM »
Command:3drotate
pick circle object
pick plane for rotation of the circle

or

Command:ucs
Command:_3
pick your planes
redraw circle

the go back to your named or world view
« Last Edit: July 16, 2014, 11:03:43 PM by JONTHEPOPE »

tedg

  • Swamp Rat
  • Posts: 811
Re: UCS woes
« Reply #5 on: July 17, 2014, 08:08:01 AM »
Another option: If your 3D part is square to the WCS, you can rotate your UCS about one of the axis' so the z axis is in the direction of the plane you're drawing in.
 
I always have the UCS icon "on" so I know where I am in drawing (not sure if you do or not, just a suggestion).
(see attached images;)
Using the UCS command, rotate the UCS about the y axis (90 degrees), draw your circle (and extrude or whatever you're doing next).
 
Similar options if you use the view cube, or preset 3D views:
simply select that face of the cube, (or the view name under the view command) and set UCS to "view".
 
HTH
 
I use the 3 point option suggested  by "JONTHEPOPE" a lot too.
Windows 10 Pro 64bit, AutoCAD 2023, REVIT 2023

mjfarrell

  • Seagull
  • Posts: 14444
  • Every Student their own Lesson
Re: UCS woes
« Reply #6 on: July 17, 2014, 09:55:57 AM »
or go to ISO view and use 3drotate command - use the gizmo to select proper axis
Be your Best


Michael Farrell
http://primeservicesglobal.com/

Bethrine

  • Guest
Re: UCS woes
« Reply #7 on: July 17, 2014, 10:22:11 AM »
 :-o Oooh! Great stuff! I will play with them all this morning. I thought the view cube only changed the view...wonder if that setting was different when I opened this drawing? Also, I did toggle through the "gizmo" menu trying to figure out what it was for as I haven't used it before. Maybe that's what did it in the first place?

That's what I get for "playing" with AutoCAD. lol

I guess I need to read up a bit better on the different view and axis controls and what does which.  :embarrassed:

Thank you everyone!

dgorsman

  • Water Moccasin
  • Posts: 2437
Re: UCS woes
« Reply #8 on: July 17, 2014, 10:29:13 AM »
Set up a couple of macros to "flip" the active UCS by 90 degrees in each axis (e.g. UCS;X;90) and a couple for your most common work planes (e.g. UCS;X;90;UCS;Y;90).  If you are going to be working in the file a lot, create named UCS's and just use the names.
If you are going to fly by the seat of your pants, expect friction burns.

try {GreatPower;}
   catch (notResponsible)
      {NextTime(PlanAhead);}
   finally
      {MasterBasics;}

Bethrine

  • Guest
Re: UCS woes
« Reply #9 on: July 17, 2014, 10:45:00 AM »
simply select that face of the cube, (or the view name under the view command) and set UCS to "view".

This is where my problem was. Thank you! I knew it was a simple "fix". Just couldn't remember. I will definately read up better. I learned to manipulate the UCS in 2005 LT...been a while...I'm overdue for an update.

Set up a couple of macros to "flip" the active UCS by 90 degrees in each axis (e.g. UCS;X;90) and a couple for your most common work planes (e.g. UCS;X;90;UCS;Y;90).  If you are going to be working in the file a lot, create named UCS's and just use the names.

I don't know how to set up macros but I really like the named views idea!

dgorsman

  • Water Moccasin
  • Posts: 2437
Re: UCS woes
« Reply #10 on: July 17, 2014, 02:14:56 PM »
There are both named views and UCS's.  I don't use the former much, but from memory they might have the ability to retain a specific UCS state.
If you are going to fly by the seat of your pants, expect friction burns.

try {GreatPower;}
   catch (notResponsible)
      {NextTime(PlanAhead);}
   finally
      {MasterBasics;}

NOT SURE

  • Guest
Re: UCS woes
« Reply #11 on: July 17, 2014, 02:27:55 PM »
I've used UCS>3 (3-Point) and UCS>S (Save) on a regular basis for years. Once you get used to what the planes are, it gets easier.

hermanm

  • Guest
Re: UCS woes
« Reply #12 on: July 17, 2014, 02:34:11 PM »
Here are a few simple UCS command macros:

Code - Auto/Visual Lisp: [Select]
  1. (defun C:ALC ()
  2. (command "_.UCS" "OBJECT")
  3. )
  4.  
  5. (defun C:LC ()
  6. (command "_.UCS" "ORIGIN")
  7. )
  8.  
  9. (defun C:W ()
  10. (command "_.UCS" "W")
  11. (princ "\nWorld Coordinates Restored")
  12. )
  13.  
  14. (defun C:XR ()
  15. (command "_.UCS" "X")
  16. )
  17.                                                  =
  18. (defun C:X90 ()
  19. (command "_.UCS" "X" 90)
  20. )
  21.  
  22. (defun C:YR ()
  23. (command "_.UCS" "Y")
  24. )
  25.  
  26. (defun C:Y90 ()
  27. (command "_.UCS" "Y" 90)
  28. )
  29.  
  30. (defun C:ZR ()
  31. (command "_.UCS" "Z")
  32. )
  33.  
  34. (defun C:Z90 ()
  35. (command "_.UCS" "Z" 90)
  36. )
  37.  
  38.  

which I use a lot!

Suggest using UCSICON "ORigin"
Makes it easy to see which is current XY plane.

This turns on UCSICON & displays the icon @ origin of current UCS:

Code - Auto/Visual Lisp: [Select]
  1. (defun C:OR ()
  2.  (command "_.UCSICON" "ON")
  3.  (command "_.UCSICON" "OR")
  4. )`
  5.  

« Last Edit: July 17, 2014, 02:44:08 PM by hermanm »